Subject: Re: [PATCH 1/2] Add additional build options for Interix, and remove obsolete ones.

From: Markus Duft <[email-masked]>
Date: Thu, 26 May 2011 08:29:13 +0200

On 05/25/11 16:15, [email-masked] wrote:

(sorry for actually replying to the wrong mail - wasn't subscribed to the list (but am now.))

>> The removed options are obsolete, because interix support now
>> depends on libsuacomp.
>
> and linkage with -lsuacomp happens automatically without any change in the
> Makefile for anybody?  Just asking, as I do not have an access to (nor any
> particular desire to get an access to) an Interix to figure it out myself,
> and the only think I care about in this patch is if it helps only your
> installation or it will help everybody who has Interix but not necessarily
> with the same set of additional configuration as you have.

Yes. suacomp installs itself as libc.{a,so}. Of course the path to the suacomp prefix needs to be told to the compiler. Without it, interix (at least the newer versions) are near unusable, because of a whole lot of bugs M$ won't fix (as usual...). Suacomp can be installed manually by whoever likes to, and is included in the Gentoo Prefix project automatically (which is my target). I guess without Gentoo Prefix there'd be another whole lot of things missing to build git anyway (haven't tried). Gentoo Prefix also automatically get's all paths right, etc.

Currently, suacomp is already required for things like coreutils, perl, python, openssh, findutils, etc., etc. to work correctly, if not build at all...

Hope that explains some, sorry for not doing so at first :)

Regards, Markus

>
>> Signed-off-by: Markus Duft <mduft <at> gentoo.org>